## python-django-pgtrigger 4.14.0

=== docs/requirements.txt ===
ansimarkup==2.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
arrow==1.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
asgiref==3.7.2 ; python_full_version >= "3.9.0" and python_version < "4"
babel==2.13.0 ; python_full_version >= "3.9.0" and python_version < "4"
backrefs==5.8 ; python_version >= "3.9" and python_version < "4"
binaryornot==0.4.4 ; python_full_version >= "3.9.0" and python_version < "4"
black==25.1.0 ; python_version >= "3.9" and python_version < "4"
build==1.2.2.post1 ; python_full_version >= "3.9.0" and python_version < "4.0"
cachecontrol[filecache]==0.14.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
cachetools==5.5.2 ; python_full_version >= "3.9.0" and python_version < "4"
certifi==2023.7.22 ; python_full_version >= "3.9.0" and python_version < "4"
cffi==1.17.1 ; python_full_version >= "3.9.0" and python_version < "4.0" and (sys_platform == "darwin" or sys_platform == "linux") and (sys_platform == "darwin" or platform_python_implementation != "PyPy")
chardet==5.2.0 ; python_full_version >= "3.9.0" and python_version < "4"
charset-normalizer==3.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
cleo==2.1.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
click==8.1.7 ; python_version >= "3.9" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.9" and python_version < "4"
cookiecutter==1.7.3 ; python_full_version >= "3.9.0" and python_version < "4"
coverage[toml]==7.8.0 ; python_version >= "3.9" and python_version < "4"
crashtest==0.4.1 ; python_full_version >= "3.9.0" and python_version < "4.0"
cryptography==43.0.3 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "linux"
distlib==0.3.7 ; python_full_version >= "3.9.0" and python_version < "4"
dj-database-url==2.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
django-dynamic-fixture==4.0.1 ; python_full_version >= "3.9.0" and python_version < "4"
django-postgres-extra==2.0.4 ; python_full_version >= "3.9.0" and python_version < "4"
django-stubs-ext==5.1.3 ; python_full_version >= "3.9.0" and python_version < "4"
django-stubs==5.1.3 ; python_full_version >= "3.9.0" and python_version < "4"
django==4.2.6 ; python_full_version >= "3.9.0" and python_version < "4"
dulwich==0.21.7 ; python_full_version >= "3.9.0" and python_version < "4.0"
exceptiongroup==1.1.3 ; python_version >= "3.9" and python_version < "3.11"
fastjsonschema==2.20.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
filelock==3.16.1 ; python_full_version >= "3.9.0" and python_version < "4"
footing==0.1.4 ; python_full_version >= "3.9.0" and python_version < "4"
ghp-import==2.1.0 ; python_version >= "3.9" and python_version < "4"
griffe==1.7.2 ; python_version >= "3.9" and python_version < "4"
idna==3.4 ; python_full_version >= "3.9.0" and python_version < "4"
importlib-metadata==6.8.0 ; python_version >= "3.9" and python_version < "3.12"
iniconfig==2.0.0 ; python_version >= "3.9" and python_version < "4"
installer==0.7.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
jaraco-classes==3.4.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
jeepney==0.8.0 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "linux"
jinja2-time==0.2.0 ; python_full_version >= "3.9.0" and python_version < "4"
jinja2==3.1.2 ; python_version >= "3.9" and python_version < "4"
keyring==24.3.1 ; python_full_version >= "3.9.0" and python_version < "4.0"
markdown==3.7 ; python_version >= "3.9" and python_version < "4"
markupsafe==2.1.3 ; python_version >= "3.9" and python_version < "4"
mergedeep==1.3.4 ; python_version >= "3.9" and python_version < "4"
mkdocs-autorefs==1.4.1 ; python_version >= "3.9" and python_version < "4"
mkdocs-get-deps==0.2.0 ; python_version >= "3.9" and python_version < "4"
mkdocs-material-extensions==1.3.1 ; python_full_version >= "3.9.0" and python_version < "4"
mkdocs-material==9.6.12 ; python_full_version >= "3.9.0" and python_version < "4"
mkdocs==1.6.1 ; python_version >= "3.9" and python_version < "4"
mkdocstrings-python==1.16.10 ; python_version >= "3.9" and python_version < "4"
mkdocstrings==0.29.1 ; python_version >= "3.9" and python_version < "4"
more-itertools==10.5.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
msgpack==1.1.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
mypy-extensions==1.0.0 ; python_version >= "3.9" and python_version < "4"
nodeenv==1.8.0 ; python_full_version >= "3.9.0" and python_version < "4"
packaging==24.2 ; python_version >= "3.9" and python_version < "4"
paginate==0.5.6 ; python_full_version >= "3.9.0" and python_version < "4"
pathspec==0.11.2 ; python_version >= "3.9" and python_version < "4"
pexpect==4.9.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
pkginfo==1.11.2 ; python_full_version >= "3.9.0" and python_version < "4.0"
platformdirs==4.3.6 ; python_version >= "3.9" and python_version < "4"
pluggy==1.5.0 ; python_version >= "3.9" and python_version < "4"
poetry-core==1.9.1 ; python_full_version >= "3.9.0" and python_version < "4.0"
poetry-plugin-export==1.8.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
poetry==1.8.4 ; python_full_version >= "3.9.0" and python_version < "4.0"
poyo==0.5.0 ; python_full_version >= "3.9.0" and python_version < "4"
psycopg2-binary==2.9.10 ; python_full_version >= "3.9.0" and python_version < "4"
ptyprocess==0.7.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
pycparser==2.22 ; python_full_version >= "3.9.0" and python_version < "4.0" and (sys_platform == "darwin" or sys_platform == "linux") and (sys_platform == "darwin" or platform_python_implementation != "PyPy")
pygments==2.16.1 ; python_full_version >= "3.9.0" and python_version < "4"
pymdown-extensions==10.3 ; python_version >= "3.9" and python_version < "4"
pyproject-api==1.8.0 ; python_full_version >= "3.9.0" and python_version < "4"
pyproject-hooks==1.2.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
pyright==1.1.399 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-cov==6.1.1 ; python_version >= "3.9" and python_version < "4"
pytest-django==4.11.1 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-dotenv==0.5.2 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-mock==3.14.0 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-order==1.1.0 ; python_full_version >= "3.9.0" and python_version < "4"
pytest==8.3.5 ; python_version >= "3.9" and python_version < "4"
python-dateutil==2.8.2 ; python_version >= "3.9" and python_version < "4"
python-dotenv==1.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
python-gitlab==3.15.0 ; python_full_version >= "3.9.0" and python_version < "4"
python-slugify==8.0.1 ; python_full_version >= "3.9.0" and python_version < "4"
pywin32-ctypes==0.2.3 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "win32"
pyyaml-env-tag==0.1 ; python_version >= "3.9" and python_version < "4"
pyyaml==6.0.1 ; python_version >= "3.9" and python_version < "4"
rapidfuzz==3.10.1 ; python_version >= "3.9" and python_version < "4.0"
requests-file==1.5.1 ; python_full_version >= "3.9.0" and python_version < "4"
requests-toolbelt==1.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
requests==2.31.0 ; python_full_version >= "3.9.0" and python_version < "4"
ruff==0.11.6 ; python_full_version >= "3.9.0" and python_version < "4"
secretstorage==3.3.3 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "linux"
setuptools==68.2.2 ; python_full_version >= "3.9.0" and python_version < "4"
shellingham==1.5.4 ; python_full_version >= "3.9.0" and python_version < "4.0"
six==1.16.0 ; python_version >= "3.9" and python_version < "4"
sqlparse==0.4.4 ; python_full_version >= "3.9.0" and python_version < "4"
text-unidecode==1.3 ; python_full_version >= "3.9.0" and python_version < "4"
tldextract==3.6.0 ; python_full_version >= "3.9.0" and python_version < "4"
tomli==2.2.1 ; python_version >= "3.9" and python_full_version <= "3.11.0a6"
tomlkit==0.13.2 ; python_full_version >= "3.9.0" and python_version < "4.0"
tox==4.25.0 ; python_full_version >= "3.9.0" and python_version < "4"
trove-classifiers==2024.10.21.16 ; python_full_version >= "3.9.0" and python_version < "4.0"
types-python-dateutil==2.8.19.14 ; python_full_version >= "3.9.0" and python_version < "4"
types-pyyaml==6.0.12.20240311 ; python_full_version >= "3.9.0" and python_version < "4"
typing-extensions==4.13.2 ; python_version >= "3.9" and python_version < "4"
tzdata==2023.3 ; python_full_version >= "3.9.0" and python_version < "4" and sys_platform == "win32"
urllib3==2.0.6 ; python_full_version >= "3.9.0" and python_version < "4"
virtualenv==20.30.0 ; python_full_version >= "3.9.0" and python_version < "4"
watchdog==3.0.0 ; python_version >= "3.9" and python_version < "4"
xattr==1.1.0 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "darwin"
zipp==3.17.0 ; python_version >= "3.9" and python_version < "3.12"

=== debian/changelog ===
python-django-pgtrigger (4.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Apr 2025 11:27:08 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-pgtrigger-$1/ \
https://github.com/AmbitionEng/django-pgtrigger/tags \
/AmbitionEng/django-pgtrigger/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-pgtrigger 4.15.3

=== debian/changelog ===
python-django-pgtrigger (4.15.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Aug 2025 23:49:35 +0100

## python-django-pgtrigger 4.15.4

=== Makefile ===
# Makefile for packaging and testing django-pgtrigger
#
# This Makefile has the following targets:
#
# setup - Sets up the development environment
# dependencies - Installs dependencies
# docs - Build documentation
# docs-serve - Serve documentation
# lint - Run code linting and static checks
# lint-fix - Fix common linting errors
# type-check - Run Pyright type-checking
# test - Run tests using pytest
# full-test-suite - Run full test suite using tox
# shell - Run a shell in a virtualenv
# docker-teardown - Spin down docker resources

OS = $(shell uname -s)

PACKAGE_NAME=django-pgtrigger
MODULE_NAME=pgtrigger
SHELL=bash
DATABASE_URL?=postgres://postgres:postgres@db:5432/postgres

ifeq (${OS}, Linux)
	DOCKER_CMD?=sudo docker
	DOCKER_RUN_ARGS?=-v /home:/home -v $(shell pwd):/code -e EXEC_WRAPPER="" -u "$(shell id -u):$(shell id -g)"  -v /etc/passwd:/etc/passwd
	# The user can be passed to docker exec commands in Linux.
	# For example, "make shell user=root" for access to apt-get commands
	user?=$(shell id -u)
	group?=$(shell id ${user} -u)
	EXEC_WRAPPER?=$(DOCKER_CMD) exec --user="$(user):$(group)" -it $(PACKAGE_NAME)
else ifeq (${OS}, Darwin)
	DOCKER_CMD?=docker
	DOCKER_RUN_ARGS?=-v ~/:/home/circleci -v $(shell pwd):/code -e EXEC_WRAPPER=""
	EXEC_WRAPPER?=$(DOCKER_CMD) exec -it $(PACKAGE_NAME)
endif

# Docker run mounts the local code directory, SSH (for git), and global git config information
DOCKER_RUN_CMD?=$(DOCKER_CMD) compose run --name $(PACKAGE_NAME) $(DOCKER_RUN_ARGS) -d app

# Print usage of main targets when user types "make" or "make help"
.PHONY: help
help:
ifndef run
	@echo "Please choose one of the following targets: \n"\
	      "    docker-setup: Setup Docker development environment\n"\
	      "    conda-setup: Setup Conda development environment\n"\
	      "    lock: Lock dependencies\n"\
	      "    dependencies: Install dependencies\n"\
	      "    shell: Start a shell\n"\
	      "    test: Run tests\n"\
	      "    tox: Run tests against all versions of Python\n"\
	      "    lint: Run code linting and static checks\n"\
	      "    lint-fix: Fix common linting errors\n"\
	      "    type-check: Run Pyright type-checking\n"\
	      "    docs: Build documentation\n"\
	      "    docs-serve: Serve documentation\n"\
	      "    docker-teardown: Spin down docker resources\n"\
	      "\n"\
	      "View the Makefile for more documentation"
	@exit 2
else
	$(EXEC_WRAPPER) $(run)
endif


# Pull the latest container and start a detached run
.PHONY: docker-start
docker-start:
	$(DOCKER_CMD) compose pull
	$(DOCKER_RUN_CMD)


# Lock dependencies
.PHONY: lock
lock:
	$(EXEC_WRAPPER) poetry lock --no-update
	$(EXEC_WRAPPER) poetry export --with dev --without-hashes -f requirements.txt > docs/requirements.txt


# Install dependencies
.PHONY: dependencies
dependencies:
	mkdir -p .venv
	$(EXEC_WRAPPER) poetry install --no-ansi


.PHONY: multi-db-setup
multi-db-setup:
	-$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE DATABASE ${MODULE_NAME}_local_other WITH TEMPLATE ${MODULE_NAME}_local"
	$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE SCHEMA IF NOT EXISTS \"order\""
	$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE SCHEMA IF NOT EXISTS receipt;"


# Sets up the local database
.PHONY: db-setup
db-setup:
	-psql postgres -c "CREATE USER postgres;"
	-psql postgres -c "ALTER USER postgres SUPERUSER;"
	-psql postgres -c "CREATE DATABASE ${MODULE_NAME}_local OWNER postgres;"
	-psql postgres -c "GRANT ALL PRIVILEGES ON DATABASE ${MODULE_NAME}_local to postgres;"
	$(EXEC_WRAPPER) python manage.py migrate


# Sets up a conda development environment
.PHONY: conda-create
conda-create:
	-conda env create -f environment.yml -y
	$(EXEC_WRAPPER) poetry config virtualenvs.create false --local


# Sets up a Conda development environment
.PHONY: conda-setup
conda-setup: EXEC_WRAPPER=conda run -n ${PACKAGE_NAME} --no-capture-output
conda-setup: conda-create lock dependencies db-setup


# Sets up a Docker development environment
.PHONY: docker-setup
docker-setup: docker-teardown docker-start lock dependencies


# Spin down docker resources
.PHONY: docker-teardown
docker-teardown:
	$(DOCKER_CMD) compose down --remove-orphans


# Run a shell
.PHONY: shell
shell:
	$(EXEC_WRAPPER) /bin/bash


# Run pytest
.PHONY: test
test:
	$(EXEC_WRAPPER) pytest


# Run full test suite
.PHONY: full-test-suite
full-test-suite:
	$(EXEC_WRAPPER) tox


# Build documentation
.PHONY: docs
docs:
	$(EXEC_WRAPPER) mkdocs build -s


# Serve documentation
.PHONY: docs-serve
docs-serve:
	$(EXEC_WRAPPER) mkdocs serve


# Run code linting and static analysis. Ensure docs can be built
.PHONY: lint
lint:
	$(EXEC_WRAPPER) ruff format . --check
	$(EXEC_WRAPPER) ruff check ${MODULE_NAME}
	$(EXEC_WRAPPER) bash -c 'make docs'
	$(EXEC_WRAPPER) diff <(poetry export --with dev --without-hashes -f requirements.txt) docs/requirements.txt >/dev/null 2>&1 || exit 1


# Fix common linting errors
.PHONY: lint-fix
lint-fix:
	$(EXEC_WRAPPER) ruff format .
	$(EXEC_WRAPPER) ruff check ${MODULE_NAME} --fix


# Run Pyright type-checking
.PHONY: type-check
type-check:
	$(EXEC_WRAPPER) pyright $(MODULE_NAME)

=== docs/requirements.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 distlib==0.3.7 ; python_full_version >= "3.9.0" and python_version < "4"
 dj-database-url==2.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
 django-dynamic-fixture==4.0.1 ; python_full_version >= "3.9.0" and python_version < "4"
+django-pgbulk==3.2.2 ; python_full_version >= "3.9.0" and python_version < "4"
 django-postgres-extra==2.0.4 ; python_full_version >= "3.9.0" and python_version < "4"
 django-stubs-ext==5.1.3 ; python_full_version >= "3.9.0" and python_version < "4"
 django-stubs==5.1.3 ; python_full_version >= "3.9.0" and python_version < "4"

=== debian/changelog ===
python-django-pgtrigger (4.15.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 12:09:22 +0100

=== debian/control ===
Source: python-django-pgtrigger
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mkdocs,
 mkdocs-material,
 mkdocstrings,
 mkdocstrings-python-handlers,
 pybuild-plugin-pyproject,
 python-installer-doc,
 python3-all,
 python3-dj-database-url,
 python3-django (>= 3:4.0),
 python3-django-pgbulk,
 python3-django-postgres-extra,
 python3-doc,
 python3-myst-parser,
 python3-poetry-core,
 python3-psycopg2,
 python3-pymdownx,
Standards-Version: 4.7.0
Homepage: https://github.com/AmbitionEng/django-pgtrigger
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
Rules-Requires-Root: no

Package: python-django-pgtrigger-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Write Postgres triggers for your Django models (Documentation)
 django-pgtrigger helps you write Postgres triggers for your Django models.
 Triggers can solve a variety of complex problems more reliably, performantly,
 and succinctly than application code.
 .
 For example:
  * Protecting operations on rows or columns (pgtrigger.Protect).
  * Making read-only models or fields (pgtrigger.ReadOnly).
  * Soft-deleting models (pgtrigger.SoftDelete).
  * Snapshotting and tracking model changes (django-pghistory).
  * Enforcing field transitions (pgtrigger.FSM).
  * Keeping a search vector updated for full-text search
    (pgtrigger.UpdateSearchVector).
  * Building official interfaces (e.g. enforcing use of User.objects.create_user
    and not User.objects.create).
  * Versioning models, mirroring fields, computing unique model hashes.
 .
 This package contains the documentation.

Package: python3-django-pgtrigger
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-pgtrigger-doc,
Description: Write Postgres triggers for your Django models (Python3 version)
 django-pgtrigger helps you write Postgres triggers for your Django models.
 Triggers can solve a variety of complex problems more reliably, performantly,
 and succinctly than application code.
 .
 For example:
  * Protecting operations on rows or columns (pgtrigger.Protect).
  * Making read-only models or fields (pgtrigger.ReadOnly).
  * Soft-deleting models (pgtrigger.SoftDelete).
  * Snapshotting and tracking model changes (django-pghistory).
  * Enforcing field transitions (pgtrigger.FSM).
  * Keeping a search vector updated for full-text search
    (pgtrigger.UpdateSearchVector).
  * Building official interfaces (e.g. enforcing use of User.objects.create_user
    and not User.objects.create).
  * Versioning models, mirroring fields, computing unique model hashes.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-pgtrigger
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	XDG_CACHE_HOME=$(CURDIR) LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build -d $(CURDIR)/debian/python-django-pgtrigger-doc/usr/share/doc/python-django-pgtrigger-doc/html
	rm -f $(CURDIR)/debian/python-django-pgtrigger-doc/usr/share/doc/python-django-pgtrigger-doc/html/sitemap.xml.gz
	find $(CURDIR)/debian/python-django-pgtrigger-doc/usr/share/doc/python-django-pgtrigger-doc/html -type f -name "*.html" -exec sed -i 's,^.*href="https://fonts.*$$,,' {} \;

execute_after_dh_clean:
	rm -rf $(CURDIR)/mkdocs

=== debian/tests/control ===
Tests: upstream
Depends:
 postgresql,
 python3-all,
 python3-dj-database-url,
 python3-django-dynamic-fixture,
 python3-django-pgbulk,
 python3-django-postgres-extra,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-mock,
 python3-pytest-order,
 @,
 @builddeps@,
Restrictions: needs-root,isolation-container,allow-stderr

## python-django-pgtrigger 4.17.0

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 # Lock dependencies
 .PHONY: lock
 lock:
-	$(EXEC_WRAPPER) poetry lock --no-update
+	$(EXEC_WRAPPER) poetry lock
 	$(EXEC_WRAPPER) poetry export --with dev --without-hashes -f requirements.txt > docs/requirements.txt

=== docs/requirements.txt ===
ansimarkup==2.0.0 ; python_version >= "3.10" and python_version < "4"
anyio==4.12.0 ; python_version >= "3.10" and python_version < "4"
arrow==1.4.0 ; python_version >= "3.10" and python_version < "4"
asgiref==3.11.0 ; python_version >= "3.10" and python_version < "4"
babel==2.17.0 ; python_version >= "3.10" and python_version < "4"
backports-tarfile==1.2.0 ; python_version >= "3.10" and python_version < "3.12"
backrefs==6.1 ; python_version >= "3.10" and python_version < "4"
binaryornot==0.4.4 ; python_full_version >= "3.10.0" and python_version < "4"
black==25.11.0 ; python_version >= "3.10" and python_version < "4"
build==1.3.0 ; python_version >= "3.10" and python_version < "4"
cachecontrol==0.14.4 ; python_version >= "3.10" and python_version < "4"
cachetools==6.2.2 ; python_version >= "3.10" and python_version < "4"
certifi==2025.11.12 ; python_version >= "3.10" and python_version < "4"
cffi==2.0.0 ; python_version >= "3.10" and python_version < "4" and (platform_python_implementation != "PyPy" or sys_platform == "darwin") and (sys_platform == "linux" or sys_platform == "darwin")
chardet==5.2.0 ; python_version >= "3.10" and python_version < "4"
charset-normalizer==3.4.4 ; python_version >= "3.10" and python_version < "4"
cleo==2.1.0 ; python_version >= "3.10" and python_version < "4"
click==8.3.1 ; python_version >= "3.10" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.10" and python_version < "4"
cookiecutter==1.7.3 ; python_version >= "3.10" and python_version < "4"
coverage==7.12.0 ; python_version >= "3.10" and python_version < "4"
crashtest==0.4.1 ; python_version >= "3.10" and python_version < "4"
cryptography==46.0.3 ; python_version >= "3.10" and python_version < "4" and sys_platform == "linux"
distlib==0.4.0 ; python_full_version >= "3.10.0" and python_version < "4"
dj-database-url==3.0.1 ; python_full_version >= "3.10.0" and python_version < "4"
django-dynamic-fixture==4.0.1 ; python_full_version >= "3.10.0" and python_version < "4"
django-pgbulk==3.2.2 ; python_full_version >= "3.10.0" and python_version < "4"
django-postgres-extra==2.0.4 ; python_version >= "3.10" and python_version < "4"
django-stubs-ext==5.2.7 ; python_version >= "3.10" and python_version < "4"
django-stubs==5.2.7 ; python_version >= "3.10" and python_version < "4"
django==5.2.8 ; python_version >= "3.10" and python_version < "4"
dulwich==0.24.10 ; python_version >= "3.10" and python_version < "4"
exceptiongroup==1.3.1 ; python_version == "3.10"
fastjsonschema==2.21.2 ; python_full_version >= "3.10.0" and python_version < "4"
filelock==3.20.0 ; python_version >= "3.10" and python_version < "4"
findpython==0.7.1 ; python_version >= "3.10" and python_version < "4"
footing==1.0.1 ; python_full_version >= "3.10.0" and python_version < "4"
ghp-import==2.1.0 ; python_full_version >= "3.10.0" and python_version < "4"
griffe==1.15.0 ; python_version >= "3.10" and python_version < "4"
h11==0.16.0 ; python_version >= "3.10" and python_version < "4"
httpcore==1.0.9 ; python_version >= "3.10" and python_version < "4"
httpx==0.28.1 ; python_version >= "3.10" and python_version < "4"
idna==3.11 ; python_version >= "3.10" and python_version < "4"
importlib-metadata==8.7.0 ; python_version >= "3.10" and python_version < "3.12"
iniconfig==2.3.0 ; python_version >= "3.10" and python_version < "4"
installer==0.7.0 ; python_version >= "3.10" and python_version < "4"
jaraco-classes==3.4.0 ; python_version >= "3.10" and python_version < "4"
jaraco-context==6.0.1 ; python_version >= "3.10" and python_version < "4"
jaraco-functools==4.3.0 ; python_version >= "3.10" and python_version < "4"
jeepney==0.9.0 ; python_version >= "3.10" and python_version < "4" and sys_platform == "linux"
jinja2-time==0.2.0 ; python_full_version >= "3.10.0" and python_version < "4"
jinja2==3.1.6 ; python_version >= "3.10" and python_version < "4"
keyring==25.7.0 ; python_version >= "3.10" and python_version < "4"
markdown==3.10 ; python_version >= "3.10" and python_version < "4"
markupsafe==3.0.3 ; python_version >= "3.10" and python_version < "4"
mergedeep==1.3.4 ; python_version >= "3.10" and python_version < "4"
mkdocs-autorefs==1.4.3 ; python_version >= "3.10" and python_version < "4"
mkdocs-get-deps==0.2.0 ; python_version >= "3.10" and python_version < "4"
mkdocs-material-extensions==1.3.1 ; python_version >= "3.10" and python_version < "4"
mkdocs-material==9.7.0 ; python_version >= "3.10" and python_version < "4"
mkdocs==1.6.1 ; python_version >= "3.10" and python_version < "4"
mkdocstrings-python==2.0.0 ; python_version >= "3.10" and python_version < "4"
mkdocstrings==1.0.0 ; python_version >= "3.10" and python_version < "4"
more-itertools==10.8.0 ; python_version >= "3.10" and python_version < "4"
msgpack==1.1.2 ; python_version >= "3.10" and python_version < "4"
mypy-extensions==1.1.0 ; python_version >= "3.10" and python_version < "4"
nodeenv==1.9.1 ; python_version >= "3.10" and python_version < "4"
packaging==25.0 ; python_version >= "3.10" and python_version < "4"
paginate==0.5.7 ; python_full_version >= "3.10.0" and python_version < "4"
pathspec==0.12.1 ; python_version >= "3.10" and python_version < "4"
pbs-installer==2025.11.20 ; python_version >= "3.10" and python_version < "4"
pkginfo==1.12.1.2 ; python_version >= "3.10" and python_version < "4"
platformdirs==4.5.0 ; python_version >= "3.10" and python_version < "4"
pluggy==1.6.0 ; python_version >= "3.10" and python_version < "4"
poetry-core==2.2.1 ; python_version >= "3.10" and python_version < "4"
poetry-plugin-export==1.9.0 ; python_version >= "3.10" and python_version < "4"
poetry==2.2.1 ; python_version >= "3.10" and python_version < "4"
poyo==0.5.0 ; python_version >= "3.10" and python_version < "4"
psycopg2-binary==2.9.11 ; python_version >= "3.10" and python_version < "4"
pycparser==2.23 ; python_version >= "3.10" and python_version < "4" and (platform_python_implementation != "PyPy" or sys_platform == "darwin") and implementation_name != "PyPy" and (sys_platform == "linux" or sys_platform == "darwin")
pygments==2.19.2 ; python_version >= "3.10" and python_version < "4"
pymdown-extensions==10.17.2 ; python_version >= "3.10" and python_version < "4"
pyproject-api==1.10.0 ; python_version >= "3.10" and python_version < "4"
pyproject-hooks==1.2.0 ; python_version >= "3.10" and python_version < "4"
pyright==1.1.407 ; python_version >= "3.10" and python_version < "4"
pytest-cov==7.0.0 ; python_version >= "3.10" and python_version < "4"
pytest-django==4.11.1 ; python_version >= "3.10" and python_version < "4"
pytest-dotenv==0.5.2 ; python_full_version >= "3.10.0" and python_version < "4"
pytest-mock==3.14.0 ; python_version >= "3.10" and python_version < "4"
pytest-order==1.1.0 ; python_version >= "3.10" and python_version < "4"
pytest==9.0.1 ; python_version >= "3.10" and python_version < "4"
python-dateutil==2.9.0.post0 ; python_version >= "3.10" and python_version < "4"
python-dotenv==1.2.1 ; python_version >= "3.10" and python_version < "4"
python-gitlab==7.0.0 ; python_full_version >= "3.10.0" and python_version < "4"
python-slugify==8.0.4 ; python_version >= "3.10" and python_version < "4"
pytokens==0.3.0 ; python_version >= "3.10" and python_version < "4"
pywin32-ctypes==0.2.3 ; python_version >= "3.10" and python_version < "4" and sys_platform == "win32"
pyyaml-env-tag==1.1 ; python_version >= "3.10" and python_version < "4"
pyyaml==5.3.1 ; python_full_version >= "3.10.0" and python_version < "4"
rapidfuzz==3.14.3 ; python_version >= "3.10" and python_version < "4"
requests-file==3.0.1 ; python_full_version >= "3.10.0" and python_version < "4"
requests-toolbelt==1.0.0 ; python_version >= "3.10" and python_version < "4"
requests==2.32.5 ; python_version >= "3.10" and python_version < "4"
ruff==0.14.7 ; python_version >= "3.10" and python_version < "4"
secretstorage==3.5.0 ; python_version >= "3.10" and python_version < "4" and sys_platform == "linux"
setuptools==80.9.0 ; python_version >= "3.10" and python_version < "4"
shellingham==1.5.4 ; python_version >= "3.10" and python_version < "4"
six==1.17.0 ; python_version >= "3.10" and python_version < "4"
sqlparse==0.5.4 ; python_version >= "3.10" and python_version < "4"
text-unidecode==1.3 ; python_full_version >= "3.10.0" and python_version < "4"
tldextract==5.3.0 ; python_version >= "3.10" and python_version < "4"
tomli==2.3.0 ; python_version >= "3.10" and python_full_version <= "3.11.0a6"
tomlkit==0.13.3 ; python_version >= "3.10" and python_version < "4"
tox==4.32.0 ; python_version >= "3.10" and python_version < "4"
trove-classifiers==2025.11.14.15 ; python_full_version >= "3.10.0" and python_version < "4"
types-pyyaml==6.0.12.20250915 ; python_version >= "3.10" and python_version < "4"
typing-extensions==4.15.0 ; python_version >= "3.10" and python_version < "4"
tzdata==2025.2 ; python_version >= "3.10" and python_version < "4"
urllib3==2.5.0 ; python_version >= "3.10" and python_version < "4"
virtualenv==20.35.4 ; python_version >= "3.10" and python_version < "4"
watchdog==6.0.0 ; python_version >= "3.10" and python_version < "4"
xattr==1.3.0 ; python_version >= "3.10" and python_version < "4" and sys_platform == "darwin"
zipp==3.23.0 ; python_version >= "3.10" and python_version < "3.12"
zstandard==0.25.0 ; python_version >= "3.10" and python_version < "4"

=== debian/changelog ===
python-django-pgtrigger (4.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix build with mkdocstrings-python-handlers >= 2 (closes: #1122461).
  * Update path to local Python documentation.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Dec 2025 10:18:33 +0000

=== debian/control ===
--- 
+++ 
@@ -23,11 +23,10 @@
  python3-poetry-core,
  python3-psycopg2,
  python3-pymdownx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/AmbitionEng/django-pgtrigger
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
-Rules-Requires-Root: no
 
 Package: python-django-pgtrigger-doc
 Section: doc
